use std::cmp::Ordering;
use std::io;
use rand::Rng;

fn main() {
    let secret_number = rand::thread_rng().gen_range(1..101);

    println!("Secret number is {:?}", secret_number);

    println!("Guessing a number:");

    let mut guess_number = String::new();

    io::stdin().read_line(&mut guess_number)
        .expect("Failed to read line.");

    let guess_number: u32 = guess_number.trim().parse()
        .expect("Not a number.");

    println!("You guess : {:?}", guess_number);

    match guess_number.cmp(&secret_number) {
        Ordering::Less => println!("Too small."),
        Ordering::Greater => println!("Too big."),
        Ordering::Equal => println!("You win!")
    }
}
